\section{Conclusion} \label{sec:conclusion}
Although the security of IoT devices has substantially improved in the past few years, some vulnerabilities remain undiscovered in many IoT systems.
Our paper describes a new threat to home security devices in which an attacker can disable a device while making it appear to be working normally to the user.

We demonstrated that heartbeats can be identified in network traffic even if they were encrypted.
Subsequently, we proved that heartbeats can be exploited using selective forwarding attack.
In particular, we redirected network traffic from the devices to a TCP proxy that only forwards heartbeats between the hub and the server and discards any other data.
As a result, the user application displays that the device is online because heartbeats are passed.
However, the device is in fact disabled because the rest of its traffic was blocked.
This allows an intruder to disable home security devices and break into houses without the awareness of their owners.

We applied this exploit on a set of home security devices and most of them were found to be affected by this vulnerability.
We disclosed our findings to the affected companies to fix the issue and release the necessary patches.
To mitigate this vulnerability, we propose some recommendations to implement a robust and secure heartbeat exchange.
Our results confirm the findings of OConnor et al.~\cite{oconnor2019blinded}, although our research was carried out independently and on a different set of devices. 

Our work proves that further research is still needed for a more secure IoT.
In addition, researchers should work closely with industry to ensure that security standards are implemented correctly.
To build on this work, selective forwarding exploits should be extended to cover any type of traffic patterns rather than just heartbeats.
This would help researchers to develop robust frameworks that can prevent or at least detect any type of selective forwarding.